gnome-shell crashed with SIGSEGV in st_theme_node_reduce_border_radius() from st_theme_node_paint_borders() from st_theme_node_paint()

Bug #1714542 reported by Joe Barnett on 2017-09-01
70
This bug affects 7 people
Affects Status Importance Assigned to Milestone
GNOME Shell
New
Unknown
gnome-shell (Ubuntu)
Medium
Andrea Azzarone

Bug Description

https://bugzilla.gnome.org/show_bug.cgi?id=788316
https://gitlab.gnome.org/GNOME/gnome-shell/issues/1063
https://errors.ubuntu.com/problem/23d376488259ea5f9fa6fb9843956cb6464f56e8

---

As of an upgrade to 3.25.91 (last session that did not exhibit this behavior was a 3.24.x session), I've experienced several crashes of the shell in the overview. journalctl shows the following output at the time of the crash:

Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8792]: Window manager warning: Overwriting existing binding of keysym ffb5 with keysym ffb5 (keycode 54).
Sep 01 08:14:41 spiny gnome-shell[8506]: meta_renderer_native_release_onscreen: assertion 'onscreen_native->gbm.next_fb_id == 0' failed
Sep 01 08:14:41 spiny gnome-shell[8506]: _cogl_onscreen_free: assertion 'onscreen->winsys == ((void *)0)' failed
Sep 01 08:14:41 spiny kernel: gnome-shell[8506]: segfault at 1a0 ip 00007fc6008dd296 sp 00007fff2df360f0 error 4 in libmutter-1.so.0.0.0[7fc6007f9000+13e000]
Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: Fatal server error:
Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE) failed to read Wayland events: Connection reset by peer
Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
Sep 01 08:14:41 spiny gnome-session[8488]: gnome-session-binary[8488]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
Sep 01 08:14:41 spiny gnome-session-binary[8488]: Unrecoverable failure in required component org.gnome.Shell.desktop
Sep 01 08:14:41 spiny gnome-session-binary[8488]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
Sep 01 08:14:41 spiny polkitd(authority=local)[1424]: Unregistered Authentication Agent for unix-session:c3 (system bus name :1.868, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disco
Sep 01 08:14:41 spiny gsd-media-keys[8610]: gsd-media-keys: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
Sep 01 08:14:41 spiny gsd-keyboard[8607]: gsd-keyboard: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
Sep 01 08:14:41 spiny gsd-clipboard[8596]: gsd-clipboard: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
Sep 01 08:14:41 spiny gsd-power[8613]: gsd-power: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
Sep 01 08:14:41 spiny gsd-color[8599]: gsd-color: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
Sep 01 08:14:41 spiny org.a11y.atspi.Registry[8529]: XIO: fatal IO error 11 (Resource temporarily unavailable) on X server ":1024"
Sep 01 08:14:41 spiny org.a11y.atspi.Registry[8529]: after 21 requests (21 known processed) with 0 events remaining.
Sep 01 08:14:41 spiny gdm-launch-environment][8400]: pam_unix(gdm-launch-environment:session): session closed for user gdm
Sep 01 08:14:41 spiny systemd-logind[1376]: Removed session c3.
Sep 01 08:14:41 spiny systemd[1]: Stopping User Manager for UID 121...
Sep 01 08:14:41 spiny systemd[8432]: Stopping Accessibility services bus...
Sep 01 08:14:41 spiny systemd[8432]: Stopping Sound Service...
Sep 01 08:14:41 spiny systemd[8432]: Stopped target Default.
Sep 01 08:14:41 spiny systemd[8432]: Stopping D-Bus User Message Bus...
Sep 01 08:14:41 spiny systemd[8432]: Stopping sandboxed app permission store...
Sep 01 08:14:41 spiny systemd[8432]: Stopped sandboxed app permission store.
Sep 01 08:14:41 spiny systemd[8432]: Stopped D-Bus User Message Bus.
Sep 01 08:14:41 spiny systemd[8432]: Stopped Accessibility services bus.
Sep 01 08:14:41 spiny systemd[8432]: Stopped Sound Service.
Sep 01 08:14:41 spiny systemd[8432]: Stopped target Basic System.
Sep 01 08:14:41 spiny systemd[8432]: Stopped target Paths.
Sep 01 08:14:41 spiny systemd[8432]: Stopped target Timers.
Sep 01 08:14:41 spiny systemd[8432]: Stopped target Sockets.
Sep 01 08:14:41 spiny systemd[8432]: Closed D-Bus User Message Bus Socket.
Sep 01 08:14:41 spiny systemd[8432]: Closed Sound System.
Sep 01 08:14:41 spiny systemd[8432]: Reached target Shutdown.
Sep 01 08:14:41 spiny systemd[8432]: Starting Exit the Session...
Sep 01 08:14:41 spiny systemd[8432]: Received SIGRTMIN+24 from PID 8854 (kill).
Sep 01 08:14:41 spiny systemd[1]: Stopped User Manager for UID 121.
Sep 01 08:14:41 spiny systemd[1]: Removed slice User Slice of gdm.

ProblemType: Crash
DistroRelease: Ubuntu 17.10
Package: gnome-shell 3.25.91-0ubuntu1
ProcVersionSignature: Ubuntu 4.12.0-12.13-generic 4.12.8
Uname: Linux 4.12.0-12-generic x86_64
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
CurrentDesktop: GNOME
Date: Fri Sep 1 08:13:58 2017
DisplayManager: gdm3
EcryptfsInUse: Yes
ExecutablePath: /usr/bin/gnome-shell
InstallationDate: Installed on 2015-08-21 (742 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 (20150819)
ProcCmdline: /usr/bin/gnome-shell
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7f36d97a3a80: mov 0x80(%rdi),%eax
 PC (0x7f36d97a3a80) ok
 source "0x80(%rdi)" (0x00000080) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: gnome-shell
StacktraceTop:
 () at /usr/lib/gnome-shell/libst-1.0.so
 () at /usr/lib/gnome-shell/libst-1.0.so
 st_theme_node_paint () at /usr/lib/gnome-shell/libst-1.0.so
 st_widget_paint_background () at /usr/lib/gnome-shell/libst-1.0.so
 () at /usr/lib/gnome-shell/libst-1.0.so
Title: gnome-shell crashed with SIGSEGV
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip docker input lpadmin lxd plugdev sambashare sudo systemd-journal wireshark

Joe Barnett (thejoe) wrote :

StacktraceTop:
 st_theme_node_reduce_border_radius (node=node@entry=0x0, width=width@entry=210, height=height@entry=nan(0x400000), corners=corners@entry=0x7ffd3815cae0) at ../src/st/st-theme-node-drawing.c:280
 st_theme_node_paint_borders (state=state@entry=0x8857b0cd28, framebuffer=framebuffer@entry=0x885513cac0, box=box@entry=0x7ffd3815cda0, paint_opacity=paint_opacity@entry=31 '\037') at ../src/st/st-theme-node-drawing.c:1663
 st_theme_node_paint (node=node@entry=0x885612c780, state=0x8857b0cd28, framebuffer=0x885513cac0, box=box@entry=0x7ffd3815cda0, paint_opacity=paint_opacity@entry=31 '\037') at ../src/st/st-theme-node-drawing.c:2598
 st_widget_paint_background (widget=<optimized out>) at ../src/st/st-widget.c:459
 st_label_paint (actor=0x8857b0d0a0) at ../src/st/st-label.c:195

Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
information type: Private → Public
summary: - gnome-shell crashed with SIGSEGV in overview
+ gnome-shell crashed with SIGSEGV in st_theme_node_reduce_border_radius()
+ from st_theme_node_paint_borders() from st_theme_node_paint()
description: updated
Joe Barnett (thejoe) wrote :

This appears to happen much more with the experimental mutter fractional scaling support turned on and scaling set to 150% (and font scaling set to 100%), but also happens without that enabled. Without it enabled, I have scaling set to 100%, but font scaling set to 150%.

Andrea Azzarone (azzar1) on 2017-09-28
Changed in gnome-shell (Ubuntu):
assignee: nobody → Andrea Azzarone (azzar1)
Andrea Azzarone (azzar1) on 2017-09-28
Changed in gnome-shell (Ubuntu):
status: Confirmed → In Progress
Changed in gnome-shell:
importance: Unknown → Medium
status: Unknown → Confirmed
Andrea Azzarone (azzar1) wrote :

We need someone that can easily reproduce it to help us debugging the issue. If anyone is willing to help please write me here or on freenode or by email. Thanks.

Joe Barnett (thejoe) wrote :

I'm happy to help. I've applied the patch from the gnome bug to a local package build. Haven't seen the crash since but only been a day or so (was crashing on the order of once a week prior)

Download full text (7.6 KiB)

Hi, my fix is just a workaround. To properly fix the bug we need your help.
I'll pass you a PPA with a customized version of gnome shell that should
give us more insights on what's really going on.

On Thu, Oct 5, 2017 at 12:05 AM, Joe Barnett <email address hidden> wrote:

> I'm happy to help. I've applied the patch from the gnome bug to a local
> package build. Haven't seen the crash since but only been a day or so
> (was crashing on the order of once a week prior)
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1714542
>
> Title:
> gnome-shell crashed with SIGSEGV in
> st_theme_node_reduce_border_radius() from
> st_theme_node_paint_borders() from st_theme_node_paint()
>
> Status in GNOME Shell:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> In Progress
>
> Bug description:
> https://errors.ubuntu.com/problem/23d376488259ea5f9fa6fb9843956c
> b6464f56e8
>
> ---
>
> As of an upgrade to 3.25.91 (last session that did not exhibit this
> behavior was a 3.24.x session), I've experienced several crashes of
> the shell in the overview. journalctl shows the following output at
> the time of the crash:
>
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8792]: Window manager
> warning: Overwriting existing binding of keysym ffb5 with keysym ffb5
> (keycode 54).
> Sep 01 08:14:41 spiny gnome-shell[8506]: meta_renderer_native_release_onscreen:
> assertion 'onscreen_native->gbm.next_fb_id == 0' failed
> Sep 01 08:14:41 spiny gnome-shell[8506]: _cogl_onscreen_free: assertion
> 'onscreen->winsys == ((void *)0)' failed
> Sep 01 08:14:41 spiny kernel: gnome-shell[8506]: segfault at 1a0 ip
> 00007fc6008dd296 sp 00007fff2df360f0 error 4 in libmutter-1.so.0.0.0[
> 7fc6007f9000+13e000]
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: Fatal server error:
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE) failed to read
> Wayland events: Connection reset by peer
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
> Sep 01 08:14:41 spiny gnome-session[8488]: gnome-session-binary[8488]:
> WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
> Sep 01 08:14:41 spiny gnome-session-binary[8488]: Unrecoverable failure
> in required component org.gnome.Shell.desktop
> Sep 01 08:14:41 spiny gnome-session-binary[8488]: WARNING: Application
> 'org.gnome.Shell.desktop' killed by signal 11
> Sep 01 08:14:41 spiny polkitd(authority=local)[1424]: Unregistered
> Authentication Agent for unix-session:c3 (system bus name :1.868, object
> path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
> (disco
> Sep 01 08:14:41 spiny gsd-media-keys[8610]: gsd-media-keys: Fatal IO
> error 11 (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-keyboard[8607]: gsd-keyboard: Fatal IO error
> 11 (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-clipboard[8596]: gsd-clipboard: Fatal IO error
> 11 (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-power[8613]: gsd-power: F...

Read more...

Andrea Azzarone (azzar1) wrote :

For the moment we can distro patch my workaround to avoid crashing. I'm already working to understand the true problem and propose the proper fix. For the moment it's better to avoid the crash.

The attachment "ubuntu_avoid_crash_if_nan.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Andrea Azzarone (azzar1) wrote :
Download full text (8.1 KiB)

@thejoe (or others interested to help)

$ sudo add-apt-repository ppa:azzar1/gnome-shell-check-nan-2
$ sudo apt update
$ sudo apt upgrade

Reboot to make sure you start the new gnome-shell. Please note that this
ppa does not contain a fix but it will make sure we collect more info in
order to debug the issue. In case you get a crash, apport should do the job
otherwise ping me on irc (andyrock) and will help you to collect all the
required info. Thanks!

On Mon, Oct 9, 2017 at 2:26 PM, Ubuntu Foundations Team Bug Bot <
<email address hidden>> wrote:

> The attachment "ubuntu_avoid_crash_if_nan.patch" seems to be a patch.
> If it isn't, please remove the "patch" flag from the attachment, remove
> the "patch" tag, and if you are a member of the ~ubuntu-reviewers,
> unsubscribe the team.
>
> [This is an automated message performed by a Launchpad user owned by
> ~brian-murray, for any issues please contact him.]
>
> ** Tags added: patch
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1714542
>
> Title:
> gnome-shell crashed with SIGSEGV in
> st_theme_node_reduce_border_radius() from
> st_theme_node_paint_borders() from st_theme_node_paint()
>
> Status in GNOME Shell:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> In Progress
>
> Bug description:
> https://errors.ubuntu.com/problem/23d376488259ea5f9fa6fb9843956c
> b6464f56e8
>
> ---
>
> As of an upgrade to 3.25.91 (last session that did not exhibit this
> behavior was a 3.24.x session), I've experienced several crashes of
> the shell in the overview. journalctl shows the following output at
> the time of the crash:
>
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8792]: Window manager
> warning: Overwriting existing binding of keysym ffb5 with keysym ffb5
> (keycode 54).
> Sep 01 08:14:41 spiny gnome-shell[8506]: meta_renderer_native_release_onscreen:
> assertion 'onscreen_native->gbm.next_fb_id == 0' failed
> Sep 01 08:14:41 spiny gnome-shell[8506]: _cogl_onscreen_free: assertion
> 'onscreen->winsys == ((void *)0)' failed
> Sep 01 08:14:41 spiny kernel: gnome-shell[8506]: segfault at 1a0 ip
> 00007fc6008dd296 sp 00007fff2df360f0 error 4 in libmutter-1.so.0.0.0[
> 7fc6007f9000+13e000]
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: Fatal server error:
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE) failed to read
> Wayland events: Connection reset by peer
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
> Sep 01 08:14:41 spiny gnome-session[8488]: gnome-session-binary[8488]:
> WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
> Sep 01 08:14:41 spiny gnome-session-binary[8488]: Unrecoverable failure
> in required component org.gnome.Shell.desktop
> Sep 01 08:14:41 spiny gnome-session-binary[8488]: WARNING: Application
> 'org.gnome.Shell.desktop' killed by signal 11
> Sep 01 08:14:41 spiny polkitd(authority=local)[1424]: Unregistered
> Authentication Agent for unix-session:c3 (system bus name :1.868, object
> path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US...

Read more...

Download full text (6.7 KiB)

My apologies for not being able to communicate earlier since I was out of town. I am back now can install via the ppA if you will. Thanks

--
Regards,
Pravin B Ravi
(Sent from my phone)

On Oct 9, 2017, at 06:45, Andrea Azzarone <email address hidden> wrote:

For the moment we can distro patch my workaround to avoid crashing. I'm
already working to understand the true problem and propose the proper
fix. For the moment it's better to avoid the crash.

** Patch added: "ubuntu_avoid_crash_if_nan.patch"
  https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1714542/+attachment/4965738/+files/ubuntu_avoid_crash_if_nan.patch

--
You received this bug notification because you are subscribed to a
duplicate bug report (1720286).
https://bugs.launchpad.net/bugs/1714542

Title:
 gnome-shell crashed with SIGSEGV in
 st_theme_node_reduce_border_radius() from
 st_theme_node_paint_borders() from st_theme_node_paint()

Status in GNOME Shell:
 Confirmed
Status in gnome-shell package in Ubuntu:
 In Progress

Bug description:
 https://errors.ubuntu.com/problem/23d376488259ea5f9fa6fb9843956cb6464f56e8

 ---

 As of an upgrade to 3.25.91 (last session that did not exhibit this
 behavior was a 3.24.x session), I've experienced several crashes of
 the shell in the overview. journalctl shows the following output at
 the time of the crash:

 Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8792]: Window manager warning: Overwriting existing binding of keysym ffb5 with keysym ffb5 (keycode 54).
 Sep 01 08:14:41 spiny gnome-shell[8506]: meta_renderer_native_release_onscreen: assertion 'onscreen_native->gbm.next_fb_id == 0' failed
 Sep 01 08:14:41 spiny gnome-shell[8506]: _cogl_onscreen_free: assertion 'onscreen->winsys == ((void *)0)' failed
 Sep 01 08:14:41 spiny kernel: gnome-shell[8506]: segfault at 1a0 ip 00007fc6008dd296 sp 00007fff2df360f0 error 4 in libmutter-1.so.0.0.0[7fc6007f9000+13e000]
 Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
 Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: Fatal server error:
 Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE) failed to read Wayland events: Connection reset by peer
 Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
 Sep 01 08:14:41 spiny gnome-session[8488]: gnome-session-binary[8488]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
 Sep 01 08:14:41 spiny gnome-session-binary[8488]: Unrecoverable failure in required component org.gnome.Shell.desktop
 Sep 01 08:14:41 spiny gnome-session-binary[8488]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
 Sep 01 08:14:41 spiny polkitd(authority=local)[1424]: Unregistered Authentication Agent for unix-session:c3 (system bus name :1.868, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disco
 Sep 01 08:14:41 spiny gsd-media-keys[8610]: gsd-media-keys: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
 Sep 01 08:14:41 spiny gsd-keyboard[8607]: gsd-keyboard: Fatal IO error 11 (Resource temporarily unavailable) on X server :1024.
 Sep 01 08:14:41 spiny gsd-clipboard[8596]: gsd-clipboard: Fatal IO error 11 (Resource temporarily unavailable) on ...

Read more...

Joe Barnett (thejoe) wrote :

@azzar1, installing the packages from your ppa results in an immediate crash of the session on attempting to login for me. nothing showing up in /var/crash

Andrea Azzarone (azzar1) wrote :
Download full text (7.5 KiB)

That's weird. Please revert the PPA using ppa-purge. I need to understand
why nothing shows up in /var/crash.

On 10 Oct 2017 07:11, "Joe Barnett" <email address hidden> wrote:

> @azzar1, installing the packages from your ppa results in an immediate
> crash of the session on attempting to login for me. nothing showing up
> in /var/crash
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/1714542
>
> Title:
> gnome-shell crashed with SIGSEGV in
> st_theme_node_reduce_border_radius() from
> st_theme_node_paint_borders() from st_theme_node_paint()
>
> Status in GNOME Shell:
> Confirmed
> Status in gnome-shell package in Ubuntu:
> In Progress
>
> Bug description:
> https://errors.ubuntu.com/problem/23d376488259ea5f9fa6fb9843956c
> b6464f56e8
>
> ---
>
> As of an upgrade to 3.25.91 (last session that did not exhibit this
> behavior was a 3.24.x session), I've experienced several crashes of
> the shell in the overview. journalctl shows the following output at
> the time of the crash:
>
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8792]: Window manager
> warning: Overwriting existing binding of keysym ffb5 with keysym ffb5
> (keycode 54).
> Sep 01 08:14:41 spiny gnome-shell[8506]: meta_renderer_native_release_onscreen:
> assertion 'onscreen_native->gbm.next_fb_id == 0' failed
> Sep 01 08:14:41 spiny gnome-shell[8506]: _cogl_onscreen_free: assertion
> 'onscreen->winsys == ((void *)0)' failed
> Sep 01 08:14:41 spiny kernel: gnome-shell[8506]: segfault at 1a0 ip
> 00007fc6008dd296 sp 00007fff2df360f0 error 4 in libmutter-1.so.0.0.0[
> 7fc6007f9000+13e000]
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: Fatal server error:
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE) failed to read
> Wayland events: Connection reset by peer
> Sep 01 08:14:41 spiny org.gnome.Shell.desktop[8506]: (EE)
> Sep 01 08:14:41 spiny gnome-session[8488]: gnome-session-binary[8488]:
> WARNING: Application 'org.gnome.Shell.desktop' killed by signal 11
> Sep 01 08:14:41 spiny gnome-session-binary[8488]: Unrecoverable failure
> in required component org.gnome.Shell.desktop
> Sep 01 08:14:41 spiny gnome-session-binary[8488]: WARNING: Application
> 'org.gnome.Shell.desktop' killed by signal 11
> Sep 01 08:14:41 spiny polkitd(authority=local)[1424]: Unregistered
> Authentication Agent for unix-session:c3 (system bus name :1.868, object
> path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
> (disco
> Sep 01 08:14:41 spiny gsd-media-keys[8610]: gsd-media-keys: Fatal IO
> error 11 (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-keyboard[8607]: gsd-keyboard: Fatal IO error
> 11 (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-clipboard[8596]: gsd-clipboard: Fatal IO error
> 11 (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-power[8613]: gsd-power: Fatal IO error 11
> (Resource temporarily unavailable) on X server :1024.
> Sep 01 08:14:41 spiny gsd-color[8599]: gsd-color: Fatal ...

Read more...

dino99 (9d9) wrote :

@thejoe

Questions about that install:
- it seems to be a 'rolling' install; many dist-upgrade done
"InstallationDate: Installed on 2015-08-21 (742 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha amd64 "

- does it has been cleaned ? (using gtkorphan & bleachbit (as root))

- which theme(s) are used ? Have you tried resetting to the default ones ?
( often old settings can seriously disturbe the system with their recent changes)

dino99 (9d9) wrote :

Quite the same crash exposing "_cogl_onscreen_free: assertion 'onscreen->winsys == ((void *)0)' failed"
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1717928

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.26.1-0ubuntu2

---------------
gnome-shell (3.26.1-0ubuntu2) artful; urgency=medium

  [ Andrea Azzarone ]
  * debian/patches/workaround_crasher_fractional_scaling.patch:
    workaround a popular crash for now when fractional scaling is enabled.
    Andrea is working on a proper fix/debug (LP: #1714542)

  [ Didier Roche ]
  * debian/patches/fix_reset_initial_focus.patch:
    - cherry-pick fixed proposed by upstream to avoid regression when keyboard
      is used the second time a modal dialog is drawn.

 -- Didier Roche <email address hidden> Tue, 10 Oct 2017 10:09:56 +0200

Changed in gnome-shell (Ubuntu):
status: In Progress → Fix Released
Andrea Azzarone (azzar1) wrote :

So for the people that were affected by this crash before and willing to help, can you please install this ppa https://launchpad.net/~azzar1/+archive/ubuntu/gnome-shell-check-nan-2 and wait for the crash to happen and then send me the crash file in /var/crash? There was a problem with apport until few days ago, that's why crash file were not being collected.

description: updated
Changed in gnome-shell:
importance: Medium → Unknown
status: Confirmed → Unknown
Changed in gnome-shell:
status: Unknown → New
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.